
package symmetricbindingclient;

import java.util.ArrayList;
import java.util.List;
import javax.xml.ws.BindingProvider;
import sc.symmetricbinding.HelloWorld;
import sc.symmetricbinding.HelloWorldService;

public class Main {

    public static void main(String[] args) {
        HelloWorldService helloService = new HelloWorldService();
        HelloWorld helloPort = helloService.getHelloWorldPort();

        ((BindingProvider) helloPort).getRequestContext().put(BindingProvider.ENDPOINT_ADDRESS_PROPERTY,
                "http://localhost:28080/symmetricbinding-rm/HelloWorldService");

        ((BindingProvider) helloPort).getRequestContext().put(BindingProvider.SESSION_MAINTAIN_PROPERTY, true);

        List<String> receivedResponses = new ArrayList<String>();
        for (int i = 0; i < 5; i++) {
            receivedResponses.add(helloPort.sendResponse("Hello - " + i));
        }

        System.out.println("Contents of received responses - " + receivedResponses);
        for (int i = 0; i < 5; i++) {
            if (!receivedResponses.contains("Hello - " + i)) {
                System.out.println("Sent Messages List does not contain \"Hello - " + i + "\"");
            }
        }
    }

}
